summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Ferenc Deak <ferenc.deak@gmail.com>2010-05-11 14:05:51 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:05:51 +0200
commit5105316945172c07e54c8c606eda57da9563ec97 (patch)
tree2be2b3f798e2a8c5d8c6ab2b12f5431888272dd6 /development
parent32a44a6905a248c5c50d54583463bdc437f6da0f (diff)
downloadslackbuilds-5105316945172c07e54c8c606eda57da9563ec97.tar.gz
slackbuilds-5105316945172c07e54c8c606eda57da9563ec97.tar.xz
development/ddd: Initial import
Diffstat (limited to 'development')
-rw-r--r--development/ddd/README6
-rw-r--r--development/ddd/ddd.SlackBuild68
-rw-r--r--development/ddd/ddd.desktop9
-rw-r--r--development/ddd/ddd.info9
-rw-r--r--development/ddd/ddd.pngbin0 -> 5689 bytes
-rw-r--r--development/ddd/doinst.sh3
-rw-r--r--development/ddd/slack-desc11
7 files changed, 106 insertions, 0 deletions
diff --git a/development/ddd/README b/development/ddd/README
new file mode 100644
index 0000000000..3f4c522941
--- /dev/null
+++ b/development/ddd/README
@@ -0,0 +1,6 @@
+GNU DDD is a graphical front-end for command-line debuggers such as
+GDB, DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, the bash
+debugger, or the Python debugger. Besides ``usual'' front-end features
+such as viewing source texts, DDD has become famous through its
+interactive graphical data display, where data structures are
+displayed as graphs.
diff --git a/development/ddd/ddd.SlackBuild b/development/ddd/ddd.SlackBuild
new file mode 100644
index 0000000000..3504b663b4
--- /dev/null
+++ b/development/ddd/ddd.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for ddd
+# Written by Ferenc Deak <ferenc.deak@gmail.com>
+
+# Slight modifications by the SlackBuilds projects
+
+set -e
+
+PRGNAM=ddd
+VERSION=3.3.11
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr
+make
+make install DESTDIR=$PKG
+rm $PKG/usr/share/$PRGNAM-$VERSION/{COPYING,NEWS}
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING* CREDITS NEWS PROBLEMS README TIPS TODO doc/ddd.pdf doc/ddd-paper.ps doc/html/ddd.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/ddd.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/development/ddd/ddd.desktop b/development/ddd/ddd.desktop
new file mode 100644
index 0000000000..825777ea26
--- /dev/null
+++ b/development/ddd/ddd.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Name=DDD Debugger
+Comment=Data Display Debugger
+Exec=ddd
+Icon=/usr/share/pixmaps/ddd.png
+Type=Application
+Categories=Application;Development;
+Encoding=UTF-8"
+
diff --git a/development/ddd/ddd.info b/development/ddd/ddd.info
new file mode 100644
index 0000000000..84436bae13
--- /dev/null
+++ b/development/ddd/ddd.info
@@ -0,0 +1,9 @@
+PRGNAM="ddd"
+VERSION="3.3.11"
+HOMEPAGE="http://www.gnu.org/software/ddd"
+DOWNLOAD="ftp://ftp.gnu.org/gnu/ddd/ddd-3.3.11.tar.gz"
+MD5SUM="f19437ebfdb5f2667d6de30f700dd319"
+MAINTAINER="Ferenc Deak"
+EMAIL="ferenc.deak@gmail.com"
+APPROVED="BP{k}"
+
diff --git a/development/ddd/ddd.png b/development/ddd/ddd.png
new file mode 100644
index 0000000000..eec9b8cb58
--- /dev/null
+++ b/development/ddd/ddd.png
Binary files differ
diff --git a/development/ddd/doinst.sh b/development/ddd/doinst.sh
new file mode 100644
index 0000000000..37f8fcb218
--- /dev/null
+++ b/development/ddd/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x usr/bin/update-desktop-database ]; then
+ ./usr/bin/update-desktop-database ./usr/share/applications > /dev/null 2>&1
+fi
diff --git a/development/ddd/slack-desc b/development/ddd/slack-desc
new file mode 100644
index 0000000000..854d37c776
--- /dev/null
+++ b/development/ddd/slack-desc
@@ -0,0 +1,11 @@
+ddd: ddd (graphical front-end for command-line debuggers)
+ddd:
+ddd: GNU DDD is a graphical front-end for command-line debuggers such as
+ddd: GDB, DBX, WDB, Ladebug, JDB, XDB, the Perl debugger, the bash
+ddd: debugger, or the Python debugger. Besides ``usual'' front-end features
+ddd: such as viewing source texts, DDD has become famous through its
+ddd: interactive graphical data display, where data structures are
+ddd: displayed as graphs.
+ddd:
+ddd:
+ddd: